Bug 90241 - [BlackBerry] WebView/Browser cause blank screen when selecting a dropdown field.
Summary: [BlackBerry] WebView/Browser cause blank screen when selecting a dropdown field.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit BlackBerry (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Other
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-28 20:25 PDT by Jason Liu
Modified: 2012-06-30 15:55 PDT (History)
6 users (show)

See Also:


Attachments
Patch (3.41 KB, patch)
2012-06-29 01:50 PDT, Jason Liu
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ec2-cr-linux-01 (639.75 KB, application/zip)
2012-06-29 02:34 PDT, WebKit Review Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Liu 2012-06-28 20:25:32 PDT
Steps:

1. goto https://signup.live.com
2. Fill-out account form, select a dropdown (Country for example) - Screen goes
blank and can no longer interact.

It appears to happen on larger dropdown lists.
Comment 1 Jason Liu 2012-06-29 01:50:58 PDT
Created attachment 150113 [details]
Patch
Comment 2 WebKit Review Bot 2012-06-29 02:34:46 PDT
Comment on attachment 150113 [details]
Patch

Attachment 150113 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/13112309

New failing tests:
platform/chromium/compositing/layout-width-change.html
platform/chromium/compositing/render-surface-alpha-blending.html
platform/chromium/compositing/tiny-layer-rotated.html
platform/chromium/compositing/huge-layer-rotated.html
fast/loader/loadInProgress.html
platform/chromium/compositing/3d-corners.html
platform/chromium/compositing/video-frame-size-change.html
platform/chromium/compositing/perpendicular-layer-sorting.html
platform/chromium/compositing/plugins/webplugin-no-alpha.html
platform/chromium/compositing/child-layer-3d-sorting.html
platform/chromium/compositing/lost-compositor-context-permanently.html
platform/chromium/compositing/filters/background-filter-blur-outsets.html
platform/chromium/compositing/lost-compositor-context-with-video.html
platform/chromium/compositing/plugins/webplugin-reflection.html
platform/chromium/compositing/accelerated-drawing/alpha.html
http/tests/xmlhttprequest/zero-length-response.html
http/tests/security/script-crossorigin-loads-correctly.html
fast/repaint/block-selection-gap-in-composited-layer.html
platform/chromium/compositing/plugins/webplugin-alpha.html
platform/chromium/compositing/webgl-loses-compositor-context.html
platform/chromium/compositing/backface-visibility-transformed.html
platform/chromium/compositing/lost-compositor-context-with-rendersurface.html
fast/loader/unload-form-post-about-blank.html
platform/chromium/compositing/lost-compositor-context.html
platform/chromium/compositing/img-layer-grow.html
platform/chromium/compositing/filters/background-filter-blur-off-axis.html
platform/chromium/compositing/filters/background-filter-blur.html
platform/chromium/compositing/lost-compositor-context-twice.html
Comment 3 WebKit Review Bot 2012-06-29 02:34:50 PDT
Created attachment 150121 [details]
Archive of layout-test-results from ec2-cr-linux-01

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: ec2-cr-linux-01  Port: <class 'webkitpy.common.config.ports.ChromiumXVFBPort'>  Platform: Linux-2.6.35-28-virtual-x86_64-with-Ubuntu-10.10-maverick
Comment 4 Jason Liu 2012-06-29 02:46:05 PDT
(In reply to comment #3)
> Created an attachment (id=150121) [details]
> Archive of layout-test-results from ec2-cr-linux-01
> 
> The attached test failures were seen while running run-webkit-tests on the chromium-ews.
> Bot: ec2-cr-linux-01  Port: <class 'webkitpy.common.config.ports.ChromiumXVFBPort'>  Platform: Linux-2.6.35-28-virtual-x86_64-with-Ubuntu-10.10-maverick

How does this fail happen?
Comment 5 Mike Fenton 2012-06-29 06:29:36 PDT
Comment on attachment 150113 [details]
Patch

Re-adding to the commit queue.  This patch doesn't modify any Chromium layout tests.  Likely the failure is unrelated.
Comment 6 Mike Fenton 2012-06-29 06:30:39 PDT
(In reply to comment #5)
> (From update of attachment 150113 [details])
> Re-adding to the commit queue.  This patch doesn't modify any Chromium layout tests.  Likely the failure is unrelated.

Nevermind, still needs review, just failed the warning system.  Should be safe to proceed though.
Comment 7 WebKit Review Bot 2012-06-30 15:55:10 PDT
Comment on attachment 150113 [details]
Patch

Clearing flags on attachment: 150113

Committed r121630: <http://trac.webkit.org/changeset/121630>
Comment 8 WebKit Review Bot 2012-06-30 15:55:22 PDT
All reviewed patches have been landed.  Closing bug.